View Issue Details

IDProjectCategoryView StatusLast Update
0007292Talermerchant backend API (HTTP specification)public2022-11-04 20:52
Reportersebasjm Assigned Tosebasjm  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionno change required 
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007292: add merchant information on tipInformation
DescriptionAPI:

https://docs.taler.net/core/api-merchant.html#get-[-instances-$INSTANCE]-tips-$TIP_ID

Same info that the contract terms have:

https://docs.taler.net/core/api-merchant.html#tsref-type-Merchant

This will allow the wallet UI to render complete information about how is giving the tip.

Right now we are showing just the base URL of the merchant instance.

TagsNo tags attached.

Activities

Christian Grothoff

2022-08-09 15:35

manager   ~0019000

"how"? I assume you mean "who". Why does it matter? We're at a particular https://-URL, and we get money tied to a particular exchange-URL. That should suffice IMO. Showing more will require additional configuration at the merchant _and_ enables attacks as we cannot validate that information.

sebasjm

2022-08-09 20:19

developer   ~0019002

receiving a tip won't have merchant information

Issue History

Date Modified Username Field Change
2022-08-04 19:36 sebasjm New Issue
2022-08-04 19:36 sebasjm Status new => assigned
2022-08-04 19:36 sebasjm Assigned To => Christian Grothoff
2022-08-09 15:35 Christian Grothoff Note Added: 0019000
2022-08-09 15:36 Christian Grothoff Assigned To Christian Grothoff => sebasjm
2022-08-09 15:36 Christian Grothoff Status assigned => feedback
2022-08-09 20:19 sebasjm Status feedback => resolved
2022-08-09 20:19 sebasjm Resolution open => no change required
2022-08-09 20:19 sebasjm Note Added: 0019002
2022-10-20 11:33 Christian Grothoff Fixed in Version => 0.9
2022-10-20 11:33 Christian Grothoff Target Version git (master) => 0.9
2022-11-04 20:52 Christian Grothoff Status resolved => closed